<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:b="http://bootsfaces.net/ui" 
	xmlns:p="http://primefaces.org/ui">
<h:body>
<ui:composition template="master2.xhtml">

	<ui:define name="title">Trouver un depanneur | Al-Geek</ui:define>
	<ui:define name="CSS">
		<link type="text/css" rel="stylesheet" href="CSS/depannage.css" />
	</ui:define>
	<ui:define name="content">
	
	<h:form id="formId">
			
		<div class="bigPanelRow">
		
		
		<h:panelGroup rendered="#{depannageBean.depanneurs.size() == 0}">
		<div class="alert">
			<label>Désolé, nous ne connaissons aucun dépanneur à <h:outputText value="#{depannageBean.ville}"/>. </label>
		</div>
		</h:panelGroup>
		
		
		<h:panelGroup rendered="#{depannageBean.depanneurs.size() > 0}">			
			<div class="divCarte">		
  				<ui:insert>
					<ui:include src="JS/map0.html"></ui:include>
				</ui:insert> 	
			</div>
			
			<div class="listDepanneurs"> 
			<label class="petittitre">Liste de nos dépanneurs agréés à <h:outputText value="#{depannageBean.ville}"/> : </label>
			
			<ui:repeat class="repeatDepanneurs" var="dep" value="#{depannageBean.depanneurs}">
				<div class="divRepeat">
			
					<div class="divNumber">					
 						<h:outputText class="number" value="#{depannageBean.depanneurs.indexOf(dep)+1}"/>
					</div>
				
					<div class="divInfoDep">
						<table cellpadding="20px" align="center">
						<tr>
							<td><h:outputText class="nomDepan" value="#{dep.nomSociete}"/></td>
						</tr>
						<tr>
							<td><b:iconAwesome value="fa-envelope" solid="true">&nbsp;&nbsp;</b:iconAwesome><h:outputText value="#{dep.adresse}"/></td>
						</tr>
						<tr>
							<td><b:iconAwesome value="fa-at" solid="true">&nbsp;&nbsp;</b:iconAwesome><h:outputText value="#{dep.email}"/></td>
						</tr>
						<tr>
							<td><b:iconAwesome value="fa-phone" solid="true">&nbsp;&nbsp;</b:iconAwesome><h:outputText value="#{dep.telephone}"/></td>
						</tr>
						</table>
					</div>
				</div>


			</ui:repeat>	
			
			</div>
		</h:panelGroup>
		</div>
		
	</h:form>
	</ui:define>
</ui:composition>
</h:body>
</html>
